<template>
  <div class="flex flex-col gap-4">
    <svn-switch
      label="Deep search"
    />

    <svn-autocomplete
      avatar
      :label="'My expert'"
      :items="users"
      clear-on-select
      @update:model-value="updateSelectedExpert"
    />

  </div>
</template>

<script setup>
import { ref } from 'vue';
import SvnSwitch from '../../components/input/SvnSwitch.vue';
import SvnAutocomplete from '../../components/input/SvnAutocomplete.vue';

const selected = ref(null);
const users = ref([
  {
    id: 0,
    fullname: 'Dazai Osamu',
  },
  {
    id: 1,
    fullname: 'Hammayoun Safi',
  },
  {
    id: 2,
    fullname: 'Yahya Fahla',
  },
  {
    id: 3,
    fullname: 'Virginie Fauré',
  },
  {
    id: 4,
    fullname: 'Harold Armijo',
  },
  {
    id: 5,
    fullname: 'William Favreau',
  },
  {
    id: 6,
    fullname: 'Annalisa Papagna',
  },
  {
    id: 7,
    fullname: 'Lisa DOyen',
  },
  {
    id: 8,
    fullname: 'Jorick Roustand',
  },
  {
    id: 9,
    fullname: 'Thomas Fraudet',
  },
  {
    id: 10,
    fullname: 'Jodie Fawaz',
  },
  {
    id: 11,
    fullname: 'Alexandre Besson',
  },
  {
    id: 12,
    fullname: 'Maxime Osamu',
  },
]);

const updateSelectedExpert = (selectedId) => {

}
</script>

<style scoped>

</style>